﻿/*Contenedor botones pilotos*/
.botones_Pilotos{
    display:flex;
    justify-content:center;
    align-items:center;
    gap:50px;
    height:70px;
}

.insertarPiloto_boton {
    font-family: Arial;
    font-weight: bold;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
    color: white;
    background-color: #9EF01A;
    padding: 10px;
}
.insertarPiloto_boton:hover{
    cursor:pointer;
}
.eliminarPiloto_boton {
    font-family: Arial;
    font-weight: bold;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
    color: #ff0000;
    font-weight: bold;
    background-color: #1f1f1f;
    padding: 10px;
}
    .eliminarPiloto_boton:hover {
        cursor: pointer;
    }

    .eliminarPiloto_boton.disabled {
        color: #a9a9a9;
        background-color: #004B23;
        cursor: not-allowed;
        box-shadow: none;
    }
.lista_pilotos_eliminar {
    display: flex;
    flex-direction:column;
    align-items:stretch;
    color: #007200;
    font-size:22px;
    font-weight: 400;
}

.eliminarPiloto_dialogo {
    font-family: Arial;
    font-size: 18px;
    font-weight: bold;
    border: none;
}
    .eliminarPiloto_dialogo::backdrop {
        background: rgba(0, 0, 0, 0.4);
    }
    .eliminarPiloto_dialogo .piloto-radio {
        /* Aquí se puede aplicar el diseño del input radio */
        appearance: none; /* Oculta el diseño predeterminado del radio button */
        width: 20px; /* Ajusta el ancho */
        height: 20px; /* Ajusta la altura */
        border: 1px solid #ccc; /* Borde inicial */
        border-radius: 4px; /* Bordes redondeados */
        cursor: pointer; /* Cambia el cursor al pasar sobre el botón */
        transition: border 0.3s, background-color 0.3s; /* Transición suave */
    }

        /* Efecto al pasar el mouse sobre el radio button */
        .eliminarPiloto_dialogo .piloto-radio:hover {
            border: 1px solid #28a745; /* Borde verde al pasar el cursor */
        }

        /* Estilo cuando el radio está seleccionado */
        .eliminarPiloto_dialogo .piloto-radio:checked {
            background-color: #28a745; /* Color de fondo verde */
            border: 2px solid black; /* Borde más grueso */
            transform: scale(1.1); /* Aumentar tamaño al 150% */
        }

.misPilotos_boton {
    font-family: Arial;
    font-weight: bold;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
    color: #9EF01A;
    background-color: #007200;
    padding: 10px;
}
    .misPilotos_boton:hover {
        cursor: pointer;
    }
    .misPilotos_boton.disabled {
        color: #a9a9a9;
        background-color: #004B23;
        cursor: not-allowed;
        box-shadow: none;
    }
.pilotosF1_boton {
    font-family: Arial;
    font-weight: bold;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
    color: #9EF01A;
    background-color: #007200;
    padding: 10px;
}
    .pilotosF1_boton:hover {
        cursor: pointer;
    }
    .pilotosF1_boton.disabled {
        color: #a9a9a9;
        background-color: #004B23;
        cursor: not-allowed;
        box-shadow: none;
    }

/* Contenedor principal que envuelve todos los pilotos */
.pilotos-container-wrapper {
    padding-top: 20px;
    padding-bottom: 20px;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 59vh; /* Limitar el alto del contenedor al 80% del alto de la página */
    overflow-y: auto; /* Añadir scroll cuando el contenido exceda el alto del contenedor */
}
    /* Personalización del scrollbar */
    .pilotos-container-wrapper::-webkit-scrollbar {
        width: 12px;
    }

    .pilotos-container-wrapper::-webkit-scrollbar-button {
        width: 0;
        height: 0;
        display: none; /* Esto oculta los botones de los extremos del scrollbar */
    }

    /* Personalización de la pista del scrollbar */
    .pilotos-container-wrapper::-webkit-scrollbar-track {
        border-radius:8px;
        background: #808080;
    }

    /* Personalización del "pulgar" del scrollbar */
    .pilotos-container-wrapper::-webkit-scrollbar-thumb {
        background: #9EF01A;
        border-radius: 10px;
    }

        .pilotos-container-wrapper::-webkit-scrollbar-thumb:hover {
            background: #9EF01A;
        }
   

/* Contenedor de la lista de pilotos */
.pilotos-container {
    width: 100%;
    display: flex;
    flex-wrap: wrap; /* Permitir que las tarjetas se alineen en múltiples filas */
    justify-content: space-around;
    gap: 10px;
    
}

/* Tarjeta de información de cada piloto */
.piloto-card {
    width: 40%; /* Ajustar para que haya dos tarjetas en cada fila */
    background-color: #1f1f1f;
    padding: 10px;
    border-radius: 8px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s ease;
    position: relative;
    font-family:Arial;
}

    /* Cambia la sombra al pasar el ratón sobre la tarjeta */
    .piloto-card:hover {
        box-shadow: 0 5px 15px rgba(0, 0, 0, 0.3);
    }

/* Título del piloto (nombre y número) */
.piloto-title {
    font-size: 25px;
    font-weight: bold;
    margin-bottom: 10px;
    color: #38B000;
}

/* Información adicional del piloto */
.piloto-info {
    font-size: 15px;
    margin-bottom: 5px;
    color: #28a745;
}

/* Botón para abrir estadísticas del piloto */
.stats-button {
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    background-color: #2E8B57;
    color: white;
    cursor: pointer;
    transition: background-color 0.3s ease;
    position: absolute;
    right: 20px;
    bottom: 20px;
}

    /* Cambia el color del botón al pasar el ratón */
    .stats-button:hover {
        background-color: #004B23;
    }

.estadisticas-content {
    display: flex;
    flex-direction: column;
    font-family: Arial;
    font-size: 18px;
    font-weight: bold;
    padding: 10px;
}

.cerrar-estadisticas {
    border: none;
    color: #38B000;
    background-color: transparent;
    display: flex;
    justify-content: right;
    width: 35px;
    margin-left: 200px;
}



/*Diálogo insertar piloto*/
/* Estilo para el diálogo */
#insertarPiloto {
    border: none; /* Elimina los bordes negros exteriores */
    border-radius: 10px; /* Bordes redondeados */
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.5); /* Sombra para destacar el diálogo */
    padding: 20px;
    width: 400px;
    color: #38B000;
    background-color: #1f1f1f;
    font-family: Arial, sans-serif;
    font-size: 18px;
}

    #insertarPiloto::backdrop {
        background: rgba(0, 0, 0, 0.4);
    }


/* Estilo del contenedor del formulario */
.insertarPiloto {
    position: relative;
}

/* Botón de cerrar formulario */
.botones_cerrar {
    position: relative;
    left:350px;
    background: none;
    border: none;
    cursor: pointer;
}

/* Formato para los grupos del formulario */
.form-group {
    margin-bottom: 15px;
    display: flex;
    flex-direction: column;
}

    /* Labels del formulario */
    .form-group label {
        
        font-weight: bold;
        margin-bottom: 5px;
    }

    /* Inputs del formulario */
    .form-group input {
        width: calc(100% - 10px);
        
        border: 2px solid #ccc;
        border-radius: 4px;
        font-size: 20px;
        box-sizing: border-box;
    }

/* Mensajes de error debajo de los inputs */
.error-message {
    color: red;
    font-size: 14px;
    margin-top: 5px;
}

/* Estilo para los botones */
.form-buttons {
    display: flex;
    justify-content: space-between;
}

/* Botón de limpiar campos */
#clearBtn {
    background-color: #007200;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.3s ease-in-out;
}

    #clearBtn:hover {
        background-color: #004B23;
    }

/* Botón de guardar */
#submitBtn {
    background-color: #28a745;
    color: white;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-weight: bold;
    transition: background-color 0.3s ease-in-out;
}

    #submitBtn:hover {
        background-color: #218838;
    }

/*Diálogo estadisticas*/

.estadisticas-dialogo{
    border: none;
    background-color:#1f1f1f;
    color:white;
    
}

    .estadisticas-dialogo::backdrop {
        background: rgba(0, 0, 0, 0.4);
    }
    .estadisticas-dialogo p {
        margin-top: 25px; /* Aumenta este valor para más espacio */
        border: 2.5px solid #555; /* Borde gris oscuro */
        padding: 5px; /* Espacio interno */
        border-radius: 4px; /* Esquinas redondeadas opcional */
        margin-bottom: 15px; /* Espacio inferior */
    }

.stats-value {

    font-weight: normal;
    color: #333; /* Opcional: puedes definir otro color si lo deseas */
}
.right-align {
    float: right; 
    margin-left: 10px; 
    width: 50px; 
    text-align: right; 
    font-weight: 900;
}


